<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

$host = "192.168.1.20";
$database = "tiro_piattello";
$user = "pdo";
$password = "";

$datiGiocatori = [];
$nomeSquadra = "";
try {
    $connection = new PDO("mysql:host=$host;dbname=$database", $user, $password);
    $squadraId = $_POST['squadra'];
    $prepare = $connection->prepare("SELECT nome, cognome FROM atleta WHERE squadra = (?)");

    $prepare->bindValue(1, $squadraId);
    $prepare->execute();

    if ($prepare->rowCount() > 0) {
        $datiGiocatori = $prepare->fetchAll();
    }

    $prepare = $connection->prepare("SELECT nome FROM squadra WHERE id = (?)");
    $prepare->bindValue(1, $squadraId);
    $prepare->execute();

    if($prepare->rowCount() > 0){
        $nomeSquadra = $prepare->fetchAll();
        $nomeSquadra = $nomeSquadra[0]["nome"];
    }

    $connection = null;
} catch (PDOException $e) {
    die ("Error!: " . $e->getMessage() . "<br/>");
}
?>

<html lang="en">

<head>
    <title>HTML</title>
    <link
        rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/@picocss/pico@2/css/pico.min.css"
    >
</head>

<body>
    <main class="container">
        <h1><?= $nomeSquadra ?></h1>
        <?php foreach ($datiGiocatori as $med) {
            echo "<h2>" . $med['nome'] . " </h2>";
            echo "<h3>" . $med['cognome'] . " </h3>";
        } ?>
    </main>
</body>

</html>

